> ## Documentation Index
> Fetch the complete documentation index at: https://checklyhq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve one test session error group.

> Retrieve one test session error group.



## OpenAPI

````yaml get /v1/test-session-error-groups/{id}
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/test-session-error-groups/{id}:
    get:
      tags:
        - Test Session Error Groups
      summary: Retrieve one test session error group.
      description: Retrieve one test session error group.
      operationId: getV1TestsessionerrorgroupsId
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
        - schema:
            type: string
            format: uuid
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestSessionErrorGroup'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    TestSessionErrorGroup:
      type: object
      properties:
        id:
          type: string
          format: uuid
        projectId:
          type: string
          nullable: true
          format: uuid
        environments:
          type: array
          nullable: true
          items:
            type: string
          description: The environments in which this error has been observed.
        errorHash:
          type: string
          description: The hash of the cleaned error message for quicker deduplication.
        rawErrorMessage:
          type: string
          nullable: true
          description: The raw error message as recorded in a test session result.
        cleanedErrorMessage:
          type: string
          description: >-
            The cleaned and sanitized error message used for hashing and
            grouping.
        firstSeen:
          type: string
          nullable: false
          format: date-time
        lastSeen:
          type: string
          nullable: false
          format: date-time
        archivedUntilNextEvent:
          type: boolean
        pwtMetadata:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/TestSessionErrorGroupPlaywrightMetadata'
          description: >-
            Playwright test metadata: project, file, title, spec ID, and suite
            path for each occurrence.
        rootCauseAnalyses:
          type: array
          items:
            $ref: '#/components/schemas/TestSessionErrorGroupRootCauseAnalysis'
      required:
        - id
        - environments
        - errorHash
        - rawErrorMessage
        - cleanedErrorMessage
        - firstSeen
        - lastSeen
        - archivedUntilNextEvent
        - pwtMetadata
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
    TestSessionErrorGroupPlaywrightMetadata:
      type: object
      properties:
        projectName:
          type: string
        specId:
          type: string
          maxLength: 500
        testFile:
          type: string
        testTitle:
          type: string
        suitePath:
          type: array
          items:
            type: string
      required:
        - projectName
        - testFile
        - testTitle
        - suitePath
    TestSessionErrorGroupRootCauseAnalysis:
      type: object
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
          nullable: false
          format: date-time
        analysis:
          nullable: true
        provider:
          type: string
          nullable: true
        model:
          type: string
          nullable: true
        durationMs:
          type: number
          nullable: true
        userContext:
          nullable: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password:  keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````